PHPCS not working with remote PHP interpreter

Hi,
I'm trying to set PHP_CodeSniffer to use remote interpreter from my Vagrant, but I'm getting weird errors.

It looks like PHPStorm is trying to use path to phpcs config as coding standard.

Here are my settings:

 

 


Has anyone run into the same problem?

 

3 comments
Comment actions Permalink

A little bit generic question but could you please confirm that validation passes in "Languages & Frameworks | PHP | Quality Tools > PHP Codesniffer > ..."?

Also, would it be possible to share a screenshot from "Editor | Inspections > PHP > Quality Tools > PHP_Codesniffer_validation"?  

0
Comment actions Permalink

Hi,
Generic question? I literally quoted the error message and all related settings. In what sense it's a generic question? :D
I posted screenshot of "Languages & Frameworks | PHP | Quality Tools > PHP Codesniffer > ..." above and there's no validation errors.
Here's screenshot of "Editor | Inspections > PHP > Quality Tools > PHP_Codesniffer_validation"

 

0
Comment actions Permalink

Generic question? I literally quoted the error message and all related settings. How it's a generic question

I believe Vasily meant his question to be generic, not yours.

Unfortunately, PhpStorm doesn't use mappings for the ruleset, so you need to specify the remote path there and change it every time you switch the interpreter.

https://youtrack.jetbrains.com/issue/WI-50906

0

Please sign in to leave a comment.